<?php

namespace App\Service\Typo3;

/**
 * Opérations sur le fichier Bind, qui gère entre autres l'adressage DNS lié aux sous-domaines
 *
 * @codeCoverageIgnore
 */
class BindFileService
{
    public function __construct(
        readonly private string $bindfileBufferFile
    ) {}

    /**
     * Append the subdomain to the buffer file
     *
     * A cron consumes this file each 5 minutes to complete the bind file /etc/bind/zones/opentalent.fr.db
     *
     * @param string $subdomain
     */
    public function registerSubdomain(string $subdomain): void
    {
        $fsd = fopen($this->bindfileBufferFile, 'ab+');
        fwrite($fsd, $subdomain);
        fwrite($fsd, "\n");
        fclose($fsd);
    }
}
